org.apache.tinkerpop.gremlin.process.computer.util

## Class SingleMessenger<M>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.SingleMessenger<M>

- All Implemented Interfaces:
    Messenger<M>

      public final class SingleMessenger<M>
      extends Object
      implements Messenger<M>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleMessenger(Messenger<M> baseMessenger, M message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<M>` | `receiveMessages()` Receive all incoming messages to the currently executing vertex.
    `void` | `sendMessage(MessageScope messageScope, M message)` The currently executing vertex can send a message with provided `MessageScope`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleMessenger

          public SingleMessenger(Messenger<M> baseMessenger,
                                 M message)

  - ### Method Detail

    - #### receiveMessages

          public Iterator<M> receiveMessages()

      Description copied from interface: `Messenger`
      Receive all incoming messages to the currently executing vertex.
      Specified by:
        `receiveMessages` in interface `Messenger<M>`
      Returns:
        the messages for the vertex

    - #### sendMessage

          public void sendMessage(MessageScope messageScope,
                                  M message)

      Description copied from interface: `Messenger`
      The currently executing vertex can send a message with provided `MessageScope`.
      Specified by:
        `sendMessage` in interface `Messenger<M>`
      Parameters:
        `messageScope` - the message scope of the message being sent
        `message` - the message to send

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.